module tastenzaehler(
    input clk,
    input taste,
    output reg [3:0] count
);

wire taste_posedge;
edgedetector myedgedetector
(
    .clk(clk),
    .signal(taste),
    .signal_posedge(taste_posedge)
);

always @(posedge clk) begin
    if (taste_posedge)
        count <= count + 4'd1;
end

endmodule

